Atma Xplorer

Xploring Games, Computing, Photography

LightVSH Menu v7 for 6.35 Hen and 6.31 Hen

PSP Homebrew developer has updated his LightVSH menu plugin with a few bugfixes and additional features.  If you’re on 6.35 Hen or 6.31 Hen, you’ll want to update to LightVSH Menu v7. Requirements:A PSP with


HowTo: Downgrade your PSP from 6.35/6.31 to 6.20

Davee (yep, the very same guy that the PSP community owes the ChickHen Hack to) has released a downgrader that will allow PSPs currently on 6.31 & 6.35 to downgrade their firmwares to 6.20.


Install Signed 6.31 Hen PRO + Prometheus ISO loader on your PSP

Oh look, 6.31 Hen now also has a signed installer allowing you to install 6.31 Hen without running the Minna no Sukkuri demo exploit as instructed in the original post. With Liquidzigong’s release


website stats